package com.nsftools.zip;

/*
Copyright 2005 Julian Robichaux

Licensed under the Academic Free License version 2.1 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://opensource.org/licenses/afl-2.1.php

Except as expressly stated in the License, software distributed 
under the License is distributed on an "AS IS" BASIS, and WITHOUT 
WARRANTY, either express or implied. See the License for the specific 
language governing permissions and limitations under the License.

I chose this license because it seemed like a good mix between
"You should say where this code came from if you use it" and
"You can use it in any way you want".
*/

import java.io.*;

/**
 * This class is a simple implementation of a FileFilter that
 * can be used for matching file names using DOS-like patterns
 * (like *.txt or foo.???). See the PatternMatch class for
 * details.
 * <p>
 * This (and the PatternMatch class) are primarily intended
 * for use on Java 1.3 and earlier. If you're using Java 1.4
 * or later (like most of the world), you really should be
 * using regular expressions to do this sort of thing.
 * 
 * @version 1.0
 * @author Julian Robichaux -- http://www.nsftools.com
 */

public class SimplePatternFilter implements FileFilter {
			private String pattern = "";
			
			public SimplePatternFilter (String pattern) {
				if (pattern != null)
					this.pattern = pattern.toLowerCase();
			}
			
			public boolean accept (File file) {
				if (file.isDirectory()) {
					return true;
				} else if (pattern.equals("")) {
					return true;
				} else {
					PatternMatch pm = new PatternMatch();
					return (pm.isMatch(file.getName().toLowerCase(), pattern));
				}
			}
			
}

